- Main Page
- Modules
- Classes
- Files
- Directories

- File List
- File Members

# nedgrammar.h File Reference

Go to the source code of this file.

## Classes
struct | my_yyltype
struct | LineColumn
## Defines
#define | PARSER_PREFIX_USED
#define | yy_create_buffer nedyy_create_buffer
#define | yy_delete_buffer nedyy_delete_buffer
#define | yy_scan_buffer nedyy_scan_buffer
#define | yy_scan_string nedyy_scan_string
#define | yy_scan_bytes nedyy_scan_bytes
#define | yy_flex_debug nedyy_flex_debug
#define | yy_init_buffer nedyy_init_buffer
#define | yy_flush_buffer nedyy_flush_buffer
#define | yy_load_buffer_state nedyy_load_buffer_state
#define | yy_switch_to_buffer nedyy_switch_to_buffer
#define | yyin nedyyin
#define | yyleng nedyyleng
#define | yylex nedyylex
#define | yyout nedyyout
#define | yyrestart nedyyrestart
#define | yytext nedyytext
#define | yywrap nedyywrap
#define | yyparse nedyyparse
#define | yylex nedyylex
#define | yyerror nedyyerror
#define | yylval nedyylval
#define | yychar nedyychar
#define | yydebug nedyydebug
#define | yynerrs nedyynerrs
#define | yylloc nedyylloc
#define | YYSTYPE NEDElement*
#define | YYLTYPE struct my_yyltype
## Functions
yy_buffer_state * | yy_scan_string (const char *str)
void | yy_delete_buffer (struct yy_buffer_state *)
int | runparse (NEDParser *p, NedFileNode *nf, bool parseexpr, bool storesrc, const char *sourcefname)
## Variables
LineColumn | pos
LineColumn | prevpos
FILE * | yyin
FILE * | yyout
int | use_chanattrname_token

## Define Documentation

#define PARSER_PREFIX_USED

#define yy_create_buffer nedyy_create_buffer

#define yy_delete_buffer nedyy_delete_buffer

#define yy_flex_debug nedyy_flex_debug

#define yy_flush_buffer nedyy_flush_buffer

#define yy_init_buffer nedyy_init_buffer

#define yy_load_buffer_state nedyy_load_buffer_state

#define yy_scan_buffer nedyy_scan_buffer

#define yy_scan_bytes nedyy_scan_bytes

#define yy_scan_string nedyy_scan_string

#define yy_switch_to_buffer nedyy_switch_to_buffer

#define yychar nedyychar

#define yydebug nedyydebug

#define yyerror nedyyerror

#define yyin nedyyin

#define yyleng nedyyleng

#define yylex nedyylex

#define yylloc nedyylloc

#define YYLTYPE struct my_yyltype

#define yylval nedyylval

#define yynerrs nedyynerrs

#define yyout nedyyout

#define yyparse nedyyparse

#define yyrestart nedyyrestart

#define YYSTYPE NEDElement*

#define yytext nedyytext

#define yywrap nedyywrap

## Function Documentation

int runparse | ( | NEDParser * | p,
|  | NedFileNode * | nf,
|  | bool | parseexpr,
|  | bool | storesrc,
|  | const char * | sourcefname
| ) |

void yy_delete_buffer | ( | struct yy_buffer_state * |  | ) |

struct yy_buffer_state* yy_scan_string | ( | const char * | str | ) |

## Variable Documentation

LineColumn pos

LineColumn prevpos

int use_chanattrname_token

FILE* yyin

FILE* yyout